[arch-commits] Commit in kismet/trunk (PKGBUILD kismet-2008-05-R1-infinite-loop.diff)

Juergen Hoetzel juergen at archlinux.org
Fri May 1 11:12:21 EDT 2009


    Date: Friday, May 1, 2009 @ 11:12:21
  Author: juergen
Revision: 37422

Applying OpenSuSE Patch for 64-bit build of gpsmap (fixing FS#14271)

Added:
  kismet/trunk/kismet-2008-05-R1-infinite-loop.diff
Modified:
  kismet/trunk/PKGBUILD

--------------------------------------+
 PKGBUILD                             |   25 ++++++++++---------------
 kismet-2008-05-R1-infinite-loop.diff |   20 ++++++++++++++++++++
 2 files changed, 30 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-01 15:06:38 UTC (rev 37421)
+++ PKGBUILD	2009-05-01 15:12:21 UTC (rev 37422)
@@ -1,36 +1,31 @@
 # $Id$
 # Contributer: Jason Chu <jason at archlinux.org>
-# Maintainer: Jason Chu <jason at archlinux.org>
+# Maintainer: Juergen Hoetzel <jason at archlinux.org>
 
 pkgname=kismet
 pkgver=2008_05_R1
 _realver=2008-05-R1
-pkgrel=3
+pkgrel=4
 pkgdesc="802.11b sniffing software"
 arch=(i686 x86_64)
 license=('GPL')
-if [ "${CARCH}" == "x86_64" ]; then
-  depends=('gcc-libs' 'libpcap>=1.0.0' 'ncurses' 'dbus')
-else
-  depends=('gmp' 'imagemagick' 'libpcap>=1.0.0' 'ncurses' 'dbus')
-fi
+depends=('gmp' 'imagemagick' 'libpcap>=1.0.0' 'ncurses' 'dbus')
+optdepends=(perl-libwww)
 url="http://www.kismetwireless.net/"
 backup=('etc/ap_manuf' 'etc/client_manuf' 'etc/kismet.conf' 'etc/kismet_drone.conf' 'etc/kismet_ui.conf')
-source=(http://www.kismetwireless.net/code/kismet-$_realver.tar.gz)
-md5sums=('6ee365d36354b4dee4945e67f8149294')
+source=(http://www.kismetwireless.net/code/kismet-$_realver.tar.gz\
+	kismet-2008-05-R1-infinite-loop.diff)
+md5sums=('6ee365d36354b4dee4945e67f8149294' '80350b09c8bece4c4fc08f219bbb1548')
 sha1sums=('a1c682797ad6842b53f9e0f038254aa8326e0fb4'
           'dbb2aa1a99811a010b1fe9ddbc064b8b312d81d5')
 
 build() {
    cd $startdir/src/kismet-$_realver
+   patch -p0 -i ${srcdir}/kismet-2008-05-R1-infinite-loop.diff || return 0
    # patch -Np1 -i ${srcdir}/kismet-gcc43.patch
    
-   if [ $CARCH == "x86_64" ]; then
-     ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-                 --disable-gpsmap
-   else
-     ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
-   fi
+   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+
    make dep
    make ||return 1
    sed -i 's/prism2/wlanng/g' conf/kismet.conf

Added: kismet-2008-05-R1-infinite-loop.diff
===================================================================
--- kismet-2008-05-R1-infinite-loop.diff	                        (rev 0)
+++ kismet-2008-05-R1-infinite-loop.diff	2009-05-01 15:12:21 UTC (rev 37422)
@@ -0,0 +1,20 @@
+--- gpsmap.cc
++++ gpsmap.cc
+@@ -874,7 +874,7 @@
+ 
+                 // Break up the path to the gpsxml file and form a path based on that
+                 unsigned int lastslash = 0;
+-                for (unsigned int x = origxmlfile.find('/'); x != string::npos;
++                for (string::size_type x = origxmlfile.find('/'); x != string::npos;
+                      lastslash = x, x = origxmlfile.find('/', lastslash+1)) {
+                     // We don't actually need to do anything...
+                 }
+@@ -882,7 +882,7 @@
+                 comp = origxmlfile.substr(0, lastslash);
+ 
+                 lastslash = 0;
+-                for (unsigned int x = orignetfile.find('/'); x != string::npos;
++                for (string::size_type x = orignetfile.find('/'); x != string::npos;
+                      lastslash = x, x = orignetfile.find('/', lastslash+1)) {
+                     // We don't actually need to do anything...
+                 }



More information about the arch-commits mailing list